Bug 445067 - Review Request: ocaml-ounit - Unit test framework for OCaml
Review Request: ocaml-ounit - Unit test framework for OCaml
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
http://www.xs4all.nl/~mmzeeman/ocaml/
:
Depends On:
Blocks: ocaml-bin-prot ocaml-janest-core
  Show dependency treegraph
 
Reported: 2008-05-03 02:35 EDT by Richard W.M. Jones
Modified: 2015-09-25 06:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-12 15:45:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-05-03 02:35:55 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-ounit.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-ounit-1.0.2-1.fc9.src.rpm
Description: Unit test framework for OCaml

rpmlint reports:

  ocaml-ounit.i386: E: no-binary
  ocaml-ounit.i386: E: only-non-binary-in-usr-lib

Both can be ignored for OCaml packages.

Koji scratch build:

  http://koji.fedoraproject.org/koji/taskinfo?taskID=593927
Comment 1 Jason Tibbitts 2008-05-10 19:50:01 EDT
I think the license text is almost exactly that of the "Modern Style with
sublicense" example from http://fedoraproject.org/wiki/Licensing/MIT.  I don't
think it's BSD.

Any reason you don't run the included tests?  A simple "make test" in a %check
section seems to work OK.

* source files match upstream:
   3ab40dfe4202aa83fa0309d1265b30e1acd633fec1ad728e5b463dde07737e13  
   ounit-1.0.2.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field does not match the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  ocaml-ounit-1.0.2-1.fc9.x86_64.rpm
   ocaml(OUnit) = 06781756bb7be2785cf39ab7edd5c92b
   ocaml-ounit = 1.0.2-1.fc9
  =
   ocaml(Arg) = 03e86a4154064ea900dc32c05f53e364
   ocaml(Array) = aa8e3cd5824f9bb40b93fcd38d0c95b5
   ocaml(Buffer) = f6cef633ea14963b84b79c4095c63dc3
   ocaml(Format) = 35fe566f7a37d8991a5c822bd1463949
   ocaml(List) = da1ce9168f0408ff26158af757456948
   ocaml(Pervasives) = 8ba3d1faa24d659525c9025f41fd0c57
   ocaml(Printexc) = 82717999a586ede6925c0aa18d6562ac
   ocaml(Sys) = 0da495f5a80f31899139359805318f28
   ocaml(Unix) = 9a46a8db115947409e54686ada118599
   ocaml(runtime) = 3.10.1

  ocaml-ounit-devel-1.0.2-1.fc9.x86_64.rpm
   ocaml-ounit-devel = 1.0.2-1.fc9
  =
   ocaml-ounit = 1.0.2-1.fc9

X %check is not present, but a functional test suite exists.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files (except for the LICENSE file)
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* .cma, .cmi, .so, .so.owner, META files in the main package.
* .a, .cmxa, .cmx and .mli files are in the -devel subpackage.
* .cmo, .o and .ml files not included
Comment 2 Richard W.M. Jones 2008-05-12 05:41:17 EDT
There is a %check section!  Unless you mean that the check section is wrong?  It
seems to work, running the 'make test' rule (and hence tests) during the rpmbuild.

Here is an updated package which corrects the license field:

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-ounit.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-ounit-1.0.2-2.fc9.src.rpm

* Mon May 12 2008 Richard W.M. Jones <rjones@redhat.com> - 1.0.2-2
- License is MIT.

Comment 3 Jason Tibbitts 2008-05-12 11:46:39 EDT
I have no idea why I didn't see a %check section there.  Maybe I was looking at
a different specfile.  However if you check the scratch build you linked above,
you'll see that there's no %check section processed, and if I download the
original src.rpm that you posted, the spec there has no %check section.

Anyway, rebuilding the -2 src.rpm shows:
  Ran: 6 tests in: 0.00 seconds.
  OK
so we're good there.

APPROVED
Comment 4 Richard W.M. Jones 2008-05-12 12:18:00 EDT
Oh dear, possible that I added it and didn't bump the release number.  Anyway,
it's all good now.
Comment 5 Richard W.M. Jones 2008-05-12 12:18:46 EDT
New Package CVS Request
=======================
Package Name: ocaml-ounit
Short Description: Unit test framework for OCaml
Owners: rjones
Branches: F-8 F-9
InitialCC: rjones
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-05-12 12:53:59 EDT
cvs done.
Comment 7 Richard W.M. Jones 2008-05-12 15:45:35 EDT
Built for F-8/F-9/devel.
Comment 8 Ding-Yi Chen 2015-09-25 02:21:31 EDT
New Package CVS Request
=======================
Package Name: ocaml-ounit
Short Description: Unit test framework for OCaml
Owners: rjones dchen
Branches: epel7 el6
Comment 9 Gwyn Ciesla 2015-09-25 06:25:02 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.